# class MimeLinesBody | MIME for multiple text lines. More...
Full name | `TelEngine::MimeLinesBody`
Definition | `#include <yatemime.h>`
Inherits | TelEngine::MimeBody [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MimeLinesBody (const String& type, const char* buf, int len)
- MimeLinesBody (const MimeHeaderLine& type, const char* buf, int len)
- virtual ~MimeLinesBody ()
- virtual void* getObject (const String& name) const
- virtual MimeBody* clone () const
- inline const ObjList& lines () const
- inline void addLine (const char* line)

#### Protected Methods

- MimeLinesBody (const MimeLinesBody& original)
- virtual void buildBody () const

## Detailed Description

An object holding MIME data as separate text lines

MimeLinesBody (const String& type, const char* buf, int len) | ### MimeLinesBody

Constructor from block of data

Parameters:

type | The value of the Content-Type header line
buf | Pointer to buffer of data
len | Length of data in buffer

MimeLinesBody (const MimeHeaderLine& type, const char* buf, int len) | ### MimeLinesBody

Constructor from block of data

Parameters:

type | The content type header line
buf | Pointer to buffer of data
len | Length of data in buffer

~MimeLinesBody () | ### ~MimeLinesBody

[virtual]

Destructor

void* getObject (const String& name) | ### getObject

[const virtual]

RTTI method, get a pointer to a derived class given the class name

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

MimeBody* clone () | ### clone

[const virtual]

Duplicate this MIME body

Returns: Copy of this MIME body - a new MimeLinesBody

Reimplemented from MimeBody.

inline const ObjList& lines () | ### lines

[const]

Retrieve the stored lines of text

Returns: List of Strings

inline void addLine (const char* line) | ### addLine

Append a line of text to the data

Parameters:

line | Text to append

MimeLinesBody (const MimeLinesBody& original) | ### MimeLinesBody

[protected]

Copy constructor

void buildBody () | ### buildBody

[protected const virtual]

Override that is called internally to build the binary encoded body

Reimplemented from MimeBody.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.